import { ElasticsearchLoggerOptions } from './ElasticsearchLoggerOptions';
import { Search } from '@elastic/elasticsearch/api/requestParams';
export declare class ElasticsearchLoggerService {
    private readonly options;
    private readonly client;
    constructor(options: ElasticsearchLoggerOptions);
    createIndexIfNotExists(index?: string, body?: any): Promise<void>;
    log<T>(level: string, message: T, indice?: string): Promise<string>;
    raw<T>(message: T, indice?: string): void;
    info<T>(message: T, indice?: string): Promise<string>;
    error<T>(message: T, indice?: string): Promise<string>;
    debug<T>(message: T, indice?: string): Promise<string>;
    warning<T>(message: T, indice?: string): Promise<string>;
    trace<T>(message: T, indice?: string): Promise<string>;
    search(obj: Search): Promise<import("@elastic/elasticsearch").ApiResponse<Record<string, any>, Record<string, unknown>>>;
}
